Subject: bug#19504: closed (Re: bug#19504: 11.88; [siunitx] unit appears without backslash)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Oct 2015 21:19:03 +0000

Your bug report

#19504: 11.88; [siunitx] unit appears without backslash

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19504: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19504
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19504: 11.88; [siunitx] unit appears without backslash
From: Mosè Giordano <[email-masked]>
To: Tassilo Horn <[email-masked]>
Cc: [email-masked], Uwe Siart <[email-masked]>
Date: Sun, 18 Oct 2015 23:17:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

this bug should be fixed now.

Bye,
Mosè

2015-04-14 23:16 GMT+02:00 Mosè Giordano <[email-masked]>:
> Hello,
>
> here is my take to fix the bug: there are three different versions of
> `TeX-completing-read-multiple' as suggested by Tassilo.  I'm just not
> sure it works with all 24.* versions of Emacs.  A serious problem is
> that there are a couple of internal functions (crm--*), and we had
> problems  in the past with internal functions,[1] for which we still
> get bug reports nowadays.
>
> Actually, the change by Roland Winkler which caused this bug is the
> same which forced us to make `TeX-completing-read-multiple' always
> return nil,[2] so perhaps we could also revert that change, but in
> this way we would break backward compatibility in turn.
>
> Bye,
> Mosè
>
> Note:
>
> [1]  http://comments.gmane.org/gmane.emacs.aquamacs.devel/240
> [2]  http://comments.gmane.org/gmane.emacs.auctex.devel/3375
>
> 2015-03-12 23:05 GMT+01:00 Mosè Giordano <[email-masked]>:
>> Hi Tassilo,
>>
>> 2015-03-12 9:51 GMT+01:00 Tassilo Horn <[email-masked]>:
>>> Mosè Giordano <[email-masked]> writes:
>>>
>>>>> PS: The plan is actually to move the minibuffer completion in that
>>>>> direction for normal minibuffer completion, so that TAB is bound to
>>>>> completion-at-point in the minibuffer as well.
>>>>
>>>> Uh, thanks for the suggestion, but according to git blame
>>>> `completion-at-point' exists since 2009, so Emacs <23 is left out.
>>>
>>> Sorry, I didn't follow this issue closely.  But isn't it the case that
>>> some quite recent change in Emacs is the culprit?
>>
>> Yes, with this commit
>> http://git.savannah.gnu.org/gitweb/?p=emacs.git;a=commitdiff;h=9c44569ea2a18099307e0571d523d8637000a153
>> `completing-read-multiple' ignores empty strings, which was essential
>> for completion of `siunitx' units.
>>
>>> In that case,
>>> `TeX-completing-read-multiple' could have 3 versions instead of the
>>> current two (one for Emacs, one for XEmacs), i.e., one for Emacs <= 22,
>>> one for Emacs 23+, and one for XEmacs.
>>
>> As I said some messages ago, the best I can think is to copy the last
>> Emacs implementation before the mentioned commit (making sure return
>> value for empty input is always nil) for all Emacs versions, so we
>> should be able to keep the number of versions of
>> `TeX-completing-read-multiple' as low as two.  The problem will be of
>> course some more work on our side to maintain the function, if needed.
>>
>> Bye,
>> Mosè

Subject: 11.88; [siunitx] unit appears without backslash
From: Uwe Siart <[email-masked]>
To: [email-masked]
Date: Sun, 04 Jan 2015 12:22:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Remember to cover the basics, that is, what you expected to happen and
what in fact did happen.

Be sure to consult the FAQ section in the manual before submitting
a bug report.  In addition check if the bug is reproducable with an
up-to-date version of AUCTeX.  So please upgrade to the version
available from http://www.gnu.org/software/auctex/ if your
installation is older than the one available from the web site.

If the bug is triggered by a specific (La)TeX file, you should try
to produce a minimal sample file showing the problem and include it
in your report.

Your bug report will be posted to the AUCTeX bug reporting list.
------------------------------------------------------------------------

When I try to enter an siunitx \SI macro I get the unit without
backslash even if I enter it correctly with a backslash. For instance if
I do

C-c RET SI RET RET 5 RET RET \kHz RET

I get "\SI{5}{kHz}" but I expect "\SI{5}{\kHz}". This happens to every
valid unit macro. It is always the first backslash that gets lost.
Entering "\meter\per\second" results in "meter\per\second".

Regards
Uwe

Emacs  : GNU Emacs 24.4.1 (i686-pc-mingw32)
 of 2014-10-24 on LEG570
Package: 11.88

current state:
==============
(setq
 AUCTeX-date "2014-10-29"
 window-system 'w32
 LaTeX-version "2e"
 TeX-style-path '("c:/programme/emacs/var/auctex"
                  "c:/Programme/emacs/share/emacs/site-lisp/auctex/style"
                  "c:/Dokumente und Einstellungen/siart/.emacs.d/auctex/auto"
                  "c:/Dokumente und Einstellungen/siart/.emacs.d/auctex/style"
                  "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(extraopts) %`%S%(PDFout)%(mode)%' %t"
                     TeX-run-TeX nil (plain-tex-mode ams-tex-mode texinfo-mode)
                     :help "Run plain TeX")
                    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil
                     (latex-mode doctex-mode) :help "Run LaTeX")
                    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil
                     (texinfo-mode) :help "Run Makeinfo with Info output")
                    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
                     TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with HTML output")
                    ("AmSTeX"
                     "%(PDF)amstex %(extraopts) %`%S%(PDFout)%(mode)%' %t"
                     TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
                    ("ConTeXt"
                     "texexec --once --texutil %(extraopts) %(execopts)%t"
                     TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
                    ("ConTeXt Full" "texexec %(extraopts) %(execopts)%t"
                     TeX-run-TeX nil (context-mode) :help
                     "Run ConTeXt until completion")
                    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
                    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
                    ("View" "%V" TeX-run-discard-or-function t t :help
                     "Run Viewer")
                    ("Print" "%p" TeX-run-command t t :help "Print the file")
                    ("Queue" "%q" TeX-run-background nil t :help
                     "View the printer queue" :visible TeX-queue-command)
                    ("File" "%(o?)dvips %d -o %f " TeX-run-command t t :help
                     "Generate PostScript file")
                    ("Index" "makeindex %s" TeX-run-command nil t :help
                     "Create index file")
                    ("Xindy" "texindy %s" TeX-run-command nil t :help
                     "Run xindy to create index file")
                    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
                     "Check LaTeX file for correctness")
                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode)
                     :help "Check LaTeX file for common mistakes")
                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t
                     :help "Spell-check the document")
                    ("Clean" "TeX-clean" TeX-run-function nil t :help
                     "Delete generated intermediate files")
                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
                     "Delete generated intermediate and output files")
                    ("Other" "" TeX-run-command t t :help
                     "Run an arbitrary command")
                    )
 )